Skip to content

Get StubHub International seller listings ​

GET
/v1/internal/stubhubint/sellerlistings

Retrieve the listings we have live on StubHub International. Restricted to ADMIN and PRODUCT_MANAGEMENT roles.

Authorizations​

api_key
Type
API Key (header: X-Api-Key)

Parameters​

Query Parameters

sorting
Type
string
Default
null
page_size

Number of items per page

Type
integer
Default
50
page

Current page

Type
integer
Default
1
listing_id
Type
string
event_id
Type
string
ticket_id
Type
string
external_event_id
Type
string
created

Filter on the creation date (YYYY-MM-DD). Use an operator prefix: 'ge:2026-08-01', 'le:2026-08-05', 'between:2026-08-01,2026-08-05'.

Type
string
show_deleted

Include deleted listings.

Type
boolean

Responses​

OK

application/json
JSON
{
  
"sellerlistings": [
  
  
{
  
  
  
"listing_id": null,
  
  
  
"ticket_id": null,
  
  
  
"event_id": null,
  
  
  
"external_event_id": null,
  
  
  
"external_category_id": null,
  
  
  
"listing_quantity": null,
  
  
  
"listing_price": null,
  
  
  
"listing_price_eur": null,
  
  
  
"currency_code": null,
  
  
  
"fxratemoment_id": null,
  
  
  
"notes": null,
  
  
  
"deleted_normalized": null
  
  
}
  
],
  
"pagination": {
  
  
"total_size": 1,
  
  
"page_size": 50,
  
  
"page_number": 1,
  
  
"next_page": "string",
  
  
"previous_page": "string"
  
}
}

Playground​

Server
Authorization
Variables
Key
Value

Samples​